---
updatedAt: 2026-10-31T08:03:05.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Resend Mail to Ticket Holder by Ticketing Id

This API is used to resend mail to the ticket holder by ticketing id associated with the specified event and ticketing Id. This API can be accessed by an event admin and super admin.
To call this API, user will have to pass query param with API URL like orderId, ticketingId and authentication key to authenticate user.
This API is used at host side to resend mail to ticket holder by ticketing id.

Here is the description of response attributes, which returns to the form of JSON.\
This will return a success message if API is executed successfully.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Attribute
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        **type** 
      </td>

      <td style={{ textAlign: "left" }}>
        This type of API response is Success or Fail.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **message** 
      </td>

      <td style={{ textAlign: "left" }}>
        This contains a message for response that can be used to display to the end user.
      </td>
    </tr>
  </tbody>
</Table>

Here are the possible error messages, which return if any condition fails or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error Code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        200
      </td>

      <td>
        Email has been successfully sent.
      </td>
    </tr>

    <tr>
      <td>
        400
      </td>

      <td>
        The request could not be understood by the server due to malformed syntax.
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        You are not authorized to view the resource.
      </td>
    </tr>

    <tr>
      <td>
        403
      </td>

      <td>
        Accessing the resource you were trying to reach is forbidden.
      </td>
    </tr>

    <tr>
      <td>
        404
      </td>

      <td>
        The resource you were trying to reach is not found.
      </td>
    </tr>

    <tr>
      <td>
        4030201
      </td>

      <td>
        Not Event Host.
      </td>
    </tr>

    <tr>
      <td>
        4040501
      </td>

      <td>
        Order you are looking for is not found.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/host/ticketing/{eventUrl}/resendmail/order/{orderId}/ticketing/{ticketingId}": {
      "get": {
        "summary": "Resend Mail to Ticket Holder by Ticketing Id",
        "description": "This API is used to resend mail to the ticket holder by ticketing id associated with the specified event and ticketing Id. This API can be accessed by an event admin and super admin.\nTo call this API, user will have to pass query param with API URL like orderId, ticketingId and authentication key to authenticate user.\nThis API is used at host side to resend mail to ticket holder by ticketing id.",
        "operationId": "resend-mail-to-ticket-holder-by-ticketing-id",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authentication Token",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "orderId",
            "in": "path",
            "description": "User pass ticket holder by ticketing order id.",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "name": "ticketingId",
            "in": "path",
            "description": "User pass ticketing id must be required.",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "name": "eventUrl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"message\": \"string\",\n  \"type\": \"string\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "string"
                    },
                    "type": {
                      "type": "string",
                      "example": "string"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```